
Application: gvSIG desktop - gvSIG bugs #884
Create new User CRS 'From user definitions' fails
07/17/2012 10:59 AM - María Maluenda

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: CRS
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2049 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Open gvSIG
Add new view
Select Properties
Select 'Current Projection'
Select Type: User CRS
Click on New
Select 'From user definitions'
Click on Next
Introduce name
Introduce code
Select Datum, search by coode 23030 and click Ok
Select Coordinate system tab
Select projection name, search by coode 23030 and click Ok
Select Finish
An error appears 'Impossible to get the CRS',but if you open gvSIG, add a new View and select View Properties with Click on "current
projection" and select the type: CRS user, the CRS created earlier shown
Attached .log
----------------------------------------
Abrir gvSIG
Añadir nueva Vista
Seleccionar Propiedades de la Vista
Clic en "Proyección actual" 
Seleccione el tipo: CRS de usuario
Clic en Nuevo
Seleccionar 'A partir de definiciones de usuario'
Clic en Siguiente
Introducir el nombre de
Introducir el código
Seleccionar Datum, la búsqueda por código 23030 y clic en Aceptar
Seleccionar la pestaña del sistema de coordenadas
Seleccionar el nombre de proyección, la búsqueda por código 23030 y clic en Aceptar
Seleccionar Finalizar
Aparece un error "Imposible obtener el CRS", pero si abres gvSIG, añades una nueva Vista y seleccionas Propiedades de la Vista
con Clic en "Proyección actual" y seleccionas el tipo: CRS de usuario, aparecerá el CRS creado anteriormente.
Se adjunta .log
History
#1 - 07/18/2012 09:58 AM - María Maluenda

This error appears in other cases to create and edit a User CRS:
1.- 'From an existing CRS'
2.- 'From a WKT string'
3.- 'Edit a User CRS created'

#2 - 10/11/2012 09:38 AM - Abenchara Socorro
- Target version set to 2.0.0-rc1

Still happens in build 2056

Sigue sin funcionar en el build 2056

#3 - 10/22/2012 06:57 PM - Manuel Madrid
- Priority changed from Normal to High

#4 - 10/30/2012 02:48 PM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Assignee set to Juan Lucas Domínguez

Removed unnecessary error message (Geotools does not know it, it's not an error).

gvsig-jcrs:r65

#5 - 11/08/2012 12:57 PM - Abenchara Socorro
- Status changed from Fixed to Closed

Files
gvSIG.log 131 KB 07/17/2012 María Maluenda
